@ECHO OFF
if "%~1"=="" goto ERROR
ECHO Updating firmware from file "%~1"
"%~dp0"\ims_fw_upgrade.exe -m "%~1"
goto END

:ERROR
ECHO.
ECHO Usage: upgrade_me.bat <Name of .MCS firmware>
ECHO        - or drag and drop .MCS onto .BAT
goto END

:END
pause
ECHO ON

